.calculadora{
    position: fixed;
    top: 50%;
    left:50%;
    background-color: aqua ;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    font-size: 3rem;
    background-image: linear-gradient(#746ab2, #24203a);
    border: 5px solid #000000;
    border-radius: 10%;
    padding: 20px;
    height: 430px;
    width: 250px;
}

.tela{
    display: flex;
    align-items: center;
    justify-content: flex-end;
    color: #000; 
    font-size: 3rem;
    width: 190px;
    height: 120px;
    margin-bottom: 20px;
    border: 5px solid #000000;
    padding: 10px;
    border-radius: 8%;
    background-color: #fff7f7;
    color: #000;

}

.botao{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 80px;
}

button{
    margin: 8px;
    width: 40px;
    height: 30px;
    border-radius: 5px;
    border: 2px solid #000;
    font-size: 20px;

}


button:hover{
    color: #fff;
    background: #6965f0;
    border: 1px solid white;
    cursor: pointer;
}

.linha{
    display: flex;
    flex-direction: row;
    margin-bottom: 10px;
}

.operadores{
    background-color: #e467a8;
    color: #f5f5f5;
    border: 1px solid;
}

.outros{
    background-color: #6965f0;
    color: #000;
    border: 1px solid;
}
.linha02{
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width: 225px;
    align-items: end;
    color:#000;
}
.limpar{
    background-color: #000000;
    color: #ffff;
    border: 1px solid;

}
